Проблема с памятью php
EldarNR
Здравствуйте!
При попытке редактировать шаблон джумла с админки выводит следующее сообщение:

" PHP Memory Configuration Error
Themler requires at least 64Mb of PHP memory(you have 128). Please increase your PHP memory to continue. For more information, please check this link."

Но проблема в том, что памяти PHP больше необходимого в 2 раза.

Поэтому не понимаю, на что ругается Themler.
Прикрепленные файлы:
php2_5912a51ab95c4.jpg
101.2 Кб | Скачали: 11 раз
php_5912a51abdbbf.jpg
97.54 Кб | Скачали: 6 раз
samson
EldarNR:
При попытке редактировать шаблон джумла с админки выводит следующее сообщение:

Пишите подробнее при таких вопросах. Где обновляете, на хостинге или на локальном? Версия PHP, версия joomla, версия Themler ( в темлер в верхнем меню, крайняя кнопка с права "Помощь" на открывшейся вкладке внизу, версия темлер)

Что привело к появлению ошибки, что то обновляли, до этого ставили нормально и т.д.?
EldarNR
samson:
Что привело к появлению ошибки, что то обновляли, до этого ставили нормально и т.д.?

Установил свежую джумлу,установил темлер для джумлы с
Скрытый текст виден только зарегистрированным пользователям
(установил как расширение)

Все сразу на хостинге таймвеб.

Joomla! 3.6.5

Конфигурация php здесь:
Скрытый текст виден только зарегистрированным пользователям


ничего до этого не обновлял, только собирался развернуть среду для работы.
samson
Попробуйте все обновить до актуального состояния. Joomla до 3.7 и версию PHP до 7+ , php посмотрите в панели управления хостингом, возможно можно сменить, или спросите у хостера.

Это все равно надо делать. Дальше будет видно.
Версия Themler какая? Эту ошибку уже решали... связана с конфигурацией сервера. Разработчики еще ей занимаются.

Если обновления не помогут. Попробуйте зайти в свой профиль на
Скрытый текст виден только зарегистрированным пользователям

На первой странице включите галочку на Get Beta Updates



Обновите темлер, Должен обновиться до другой версии (беты). Только потом после обновления темлер не забудьте снять обратно эту галочку, что бы не получать бета обновления.
EldarNR
samson:
Попробуйте все обновить до актуального состояния. Joomla до 3.7 и версию PHP до 7+ , php посмотрите в панели управления хостингом, возможно можно сменить, или спросите у хостера.

К сожалению ничего не сработало.
Так что же, менять хостера?
samson
Не торопитесь менять, вдруг и на новом не пойдет. Проблему еще решают разработчики. Шаблон пробовали обновлять до беты версии themler?
Как вариант если на локальном такой проблемы нет, соберите сайт на локальном, потом перенесете на хостинг.

Тем более с точке зрения сайтостроения так правильней.
К тому времени возможно и проблема решится.

ЗЫ: Если решите на локальном делать, не забудьте убрать галочку в профиле на получение бета версий темлер.Добавлено спустя 5 минутЗЫ2: после обновления joomla и PHP кэш в joomla и желательно в браузере, чистили?
Malover
EldarNR:
Так что же, менять хостера?

На локальном проблема есть? Если нет можно попробовать с локального экспортировать экспортировать через темлер шаблон и этот шаблон поставить на хостинг.
samson
Malover:
На локальном проблема есть? Если нет можно попробовать с локального экспортировать экспортировать через темлер шаблон и этот шаблон поставить на хостинг.

Malover, v

А смысл? Если проблема хостинга, она останется, если проблема темлера, перенесется с шаблоном.

ЗЫ: Но попробовать можно. Если бы была проблема чисто темлера, тема бы уже была бы не одна с этим вопросом.
Редактировалось: 2 раза (Последний: 10 мая 2017 в 12:27)
samson
EldarNR, вышла бета с исправлением этой проблемы:



Исправлена ​​ошибка памяти на разных CMSs.


https://artisteer-rus.com/forum/thread749-17.html#9913
Evgenert
samson:
Если бы была проблема чисто темлера, тема бы уже была бы не одна с этим вопросом.

Не факт. У меня такой проблемы не было. И разработчики не выпустили бы релиз если бы часто была.
EldarNR
Пока все делаю на локалке. Посмотрим как перенесется.
Перейти на форум:
Быстрый ответ
У вас нет прав, чтобы писать на форуме.